## czmq 3.0.2

=== debian/changelog ===
czmq (3.0.2-5) unstable; urgency=medium

  * Add 0005-zauth-test-hang.patch to fix test.
    Backport from upstream to fix FTBS on ARM64 and ALPHA.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 10 Mar 2016 11:50:49 +0000

czmq (3.0.2-4) unstable; urgency=medium

  * Add 0004-zauth-v2-test-hang.patch to fix test.
    Backport patch from upstream to fix unit test race
    condition in zauth_v2.
  * Don't fail build if UT fail on slower archs.
    There are known upstream issues with race conditions
    in the unit tests, that can cause a failure on slower
    environments. As a workaround, have a failure in
    dh_auto_test stop the build only on amd64 and i386.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Wed, 09 Mar 2016 16:53:58 +0000

czmq (3.0.2-3) unstable; urgency=medium

  * Bump s-v to 3.9.7, no changes required
  * Bump dependency to libzmq5-dev. (Closes: #815784)
    Thanks Svante Signell!

 -- Luca Boccassi <luca.boccassi@gmail.com>  Wed, 24 Feb 2016 19:52:58 +0000

czmq (3.0.2-2) unstable; urgency=medium

  * Add patch to support GNU/Hurd (Closes: 801113)
    Thanks Svante Signell!

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 06 Oct 2015 16:45:50 +0100

czmq (3.0.2-1) unstable; urgency=low

  * Initial release (Closes: #630761)
  * Backport patch to fix signal handling
  * Add patch to check for and link against pthread
  * Added Alessandro Ghedini in the Uploaders field

 -- Luca Boccassi <luca.boccassi@gmail.com>  Fri, 31 Jul 2015 10:32:08 +0100
