=== debian/watch ===
version=3

http://download.zeromq.org/czmq-(.*)\.tar\.gz
