## czmq 4.0.0

=== debian/changelog ===
czmq (4.0.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Luca Boccassi <luca.boccassi@gmail.com>  Mon, 07 Nov 2016 21:19:28 +0000

czmq (4.0.0-2) experimental; urgency=medium

  * Fix private/draft symbols leakage
  * Refresh symbols list after fixing leakage

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 06 Nov 2016 10:38:52 +0000

czmq (4.0.0-1) experimental; urgency=medium

  * New upstream version 4.0.0
  * Refresh and drop patches for v4.0.0
  * Rename package libczmq3 -> libczmq4 for ABI bump
  * Explicitly disable DRAFT APIs when building
  * Refresh libczmq4.symbols

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sat, 05 Nov 2016 02:09:40 +0000

czmq (3.0.2-10) unstable; urgency=medium

  * Add 0011-remove-readdir_r.patch to backport fix for readdir_r,
    deprecated in glibc 2.24. (Closes: #836307)
  * Add 0012-fix-missing-defined.patch to backport fix for missing
    defined() in czmq_prelude.h. Fixes build error with debug flags
    enabled.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Fri, 02 Sep 2016 12:06:33 +0100

czmq (3.0.2-9) unstable; urgency=medium

  * Backport 0009-zmsg-double-resolve.patch and
    0010-zsock-resolve-zmq-handle.patch to fix huge performance drop
    in zmsg_send/recv due to double zsock_resolve which caused a getsockopt
    syscall to happen everytime

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 11 Aug 2016 16:47:09 +0100

czmq (3.0.2-8) unstable; urgency=medium

  * Remove Alessandro Ghedini from Uploaders as requested.
    Thank you for your work and your help!
  * Update d/watch for new Github-based releases
  * Add 0007-zdir-zlist-zsock-memory-leaks.patch to backport various
    memory leaks
  * Add 0008-zlist-dup-autofree-leak.patch to backport zlist_dup autofree
    memory leak

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 02 Aug 2016 14:51:02 +0100

czmq (3.0.2-7) unstable; urgency=medium

  * Don't fail if tests fail on any arch
  * Bump Standards-Version to 3.9.8, no change

 -- Luca Boccassi <luca.boccassi@gmail.com>  Mon, 25 Apr 2016 23:13:18 +0100

czmq (3.0.2-6) unstable; urgency=medium

  * Backport patch to fix off-by-one in zsock_recv
  * Change [build-]dependency back to libzmq3-dev
  * Add sha1 and slre headers licenses in d/copyright
  * L-W: Use HTTPS link for Vcs-Git
  * L-W: use hardening=+all

 -- Luca Boccassi <luca.boccassi@gmail.com>  Mon, 25 Apr 2016 18:19:52 +0100
