=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: czmq
 Priority: optional
 Maintainer: Luca Boccassi <luca.boccassi@gmail.com>
-Uploaders: Alessandro Ghedini <ghedo@debian.org>
 Build-Depends: debhelper (>= 9),
  autotools-dev,
  pkg-config,
  dh-autoreconf,
- libzmq5-dev
-Standards-Version: 3.9.7
+ libzmq3-dev
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://czmq.zeromq.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/czmq.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/czmq.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/czmq.git
 
-Package: libczmq3
+Package: libczmq4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -37,8 +36,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libzmq5-dev,
-         libczmq3 (= ${binary:Version})
+         libzmq3-dev,
+         libczmq4 (= ${binary:Version})
 Multi-Arch: same
 Description: High-level C binding for ZeroMQ (development files)
  czmq (previously known as libzapi) provides a high-level C binding for
@@ -61,7 +60,7 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, libczmq3 (= ${binary:Version})
+Depends: ${misc:Depends}, libczmq4 (= ${binary:Version})
 Multi-Arch: same
 Description: High-level C binding for ZeroMQ (debugging symbols)
  czmq (previously known as libzapi) provides a high-level C binding for
