## czmq 4.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -242,6 +242,9 @@
 set_target_properties(czmq
     PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${SOURCE_DIR}/src"
 )
+set_target_properties (czmq
+    PROPERTIES SOVERSION "4.0.2"
+)
 target_link_libraries(czmq
     ${ZEROMQ_LIBRARIES} ${MORE_LIBRARIES}
 )
@@ -257,7 +260,7 @@
 ########################################################################
 # pkgconfig
 ########################################################################
-set (VERSION "4.0.0")
+set (VERSION "4.0.2")
 set (prefix "${CMAKE_INSTALL_PREFIX}")
 set (exec_prefix "\${prefix}")
 set (libdir "\${prefix}/lib${LIB_SUFFIX}")
@@ -353,7 +356,6 @@
     zproxy
     zrex
     zsys
-    zgossip_msg
 )
 
 IF (ENABLE_DRAFTS)
@@ -419,5 +421,3 @@
 message (STATUS "  Release C flags   :   ${CMAKE_C_FLAGS_RELEASE} ${CMAKE_C_FLAGS}")
 message (STATUS "  Build type        :   ${CMAKE_BUILD_TYPE}")
 IF (ENABLE_DRAFTS)
-message (STATUS "  Draft API         :   Yes")
-ELSE (ENABLE_DRAFTS)
