=== debian/changelog ===
czmq (4.0.2-7) unstable; urgency=medium

  * Add 0007-zhashx_purge-leak-when-shrinking.patch backported from
    upstream to fix memory leak in zhashx_purge when shrinking the table.
    (Closes: #864342)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Wed, 07 Jun 2017 10:22:32 +0100

czmq (4.0.2-6) unstable; urgency=medium

  * Set version of symbols added by patch to 4.0.2-4~ to fix L:E

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 24 Jan 2017 13:30:47 +0000

czmq (4.0.2-5) unstable; urgency=medium

  * Build-depend on asciidoc-base | asciidoc
  * Disable unit tests run on MIPS (closes: #852372)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 24 Jan 2017 11:56:33 +0000

czmq (4.0.2-4) unstable; urgency=medium

  * Backport patch to fix zmsg_remove refcount
  * Backport patch to fix zpoller_remove refcount
  * Backport patch to fix zsys_shutdown refcount
  * Backport patch to fix API changes depending on libzmq version

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 22 Jan 2017 19:02:49 +0000

czmq (4.0.2-3) unstable; urgency=medium

  * Backport patches to fix FTBFS on kFreeBSD

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 03 Jan 2017 00:54:10 +0100

czmq (4.0.2-2) unstable; urgency=medium

  * Set libsystemd-dev build-dep to [linux-any] to fix FTBFS on Hurd

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 01 Jan 2017 12:01:17 +0100

czmq (4.0.2-1) unstable; urgency=low

  * New upstream version 4.0.1
  * Drop pthread and hurd patches, merged upstream
  * Refresh symbols leak patch
  * Build-Depend on asciidoc and xmlto to generate manpages
  * Build-Depend on uuid-dev to use system uuid generation
  * Build-depend on libsystemd-dev for socket-base activation support
  * New upstream version 4.0.2
  * Drop symbols leak patch, fixed upstream
  * Install zproject API files in libczmq-dev package
  * Install man3 pages in libczmq-dev package

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sat, 31 Dec 2016 21:12:48 +0100
