=== debian/control ===
--- 
+++ 
@@ -5,7 +5,11 @@
  autotools-dev,
  pkg-config,
  dh-autoreconf,
- libzmq3-dev
+ libzmq3-dev,
+ uuid-dev,
+ libsystemd-dev [linux-any],
+ asciidoc-base | asciidoc,
+ xmlto,
 Standards-Version: 3.9.8
 Section: libs
 Homepage: http://czmq.zeromq.org/
