=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH  := $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --with autoreconf


override_dh_auto_configure:
	dh_auto_configure -- --enable-drafts=no

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=libczmq-dbg

# unit tests are too unreliable on buildd, even i386.
# and on mips it seems to hang, so avoid running it.
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq ($(DEB_HOST_ARCH),mips)
override_dh_auto_test:
	-dh_auto_test -- VERBOSE=1
else
override_dh_auto_test:
endif
endif
