## czmq 4.0.2+git20170821

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,21 @@
     if (EXISTS "${SOURCE_DIR}/.git")
         set (CMAKE_BUILD_TYPE Debug)
     else ()
-        set (CMAKE_BUILD_TYPE Release)
+# http://xit0.org/2013/04/cmake-use-git-branch-and-commit-details-in-project/
+# http://stackoverflow.com/questions/6797395/cmake-execute-process-always-fails-with-no-such-file-or-directory-when-i-cal
+        execute_process(
+            COMMAND git rev-parse --show-toplevel
+            WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
+            RESULT_VARIABLE git_result
+            OUTPUT_VARIABLE git_root
+            OUTPUT_STRIP_TRAILING_WHITESPACE
+        )
+        message(STATUS "git workspace root [${git_result}]: ${git_root}")
+        if ( "${git_result}" == "0" )
+            set (CMAKE_BUILD_TYPE Debug)
+        else ()
+            set (CMAKE_BUILD_TYPE Release)
+        endif ()
     endif ()
 endif ()
 if (${CMAKE_BUILD_TYPE} STREQUAL "Debug")
@@ -77,6 +91,13 @@
     set(MORE_LIBRARIES ws2_32 Rpcrt4 Iphlpapi)
 endif()
 
+# specific case of windows UWP
+if( ${CMAKE_SYSTEM_NAME} STREQUAL "WindowsStore" AND ${CMAKE_SYSTEM_VERSION} STREQUAL "10.0")
+  ADD_DEFINITIONS(-DZMQ_HAVE_WINDOWS_UWP)
+  ADD_DEFINITIONS(-D_WIN32_WINNT=_WIN32_WINNT_WIN10)
+endif()
+
+
 # required libraries for mingw
 if (MINGW)
     set(MORE_LIBRARIES -lws2_32 -lrpcrt4 -liphlpapi)
@@ -125,6 +146,18 @@
     add_definitions(-DHAVE_LIBSYSTEMD)
     list(APPEND OPTIONAL_LIBRARIES ${SYSTEMD_LIBRARIES})
 ENDIF (SYSTEMD_FOUND)
+
+########################################################################
+# LZ4 dependency
+########################################################################
+find_package(lz4)
+IF (LZ4_FOUND)
+    include_directories(${LZ4_INCLUDE_DIRS})
+    list(APPEND MORE_LIBRARIES ${LZ4_LIBRARIES})
+    set(pkg_config_libs_private "${pkg_config_libs_private} -llz4")
+    add_definitions(-DHAVE_LIBLZ4)
+    list(APPEND OPTIONAL_LIBRARIES ${LZ4_LIBRARIES})
+ENDIF (LZ4_FOUND)
 
 ########################################################################
 # includes
@@ -155,6 +188,7 @@
     include/zpoller.h
     include/zsock.h
     include/zstr.h
+    include/zsys.h
     include/zuuid.h
     include/zauth.h
     include/zbeacon.h
@@ -162,7 +196,6 @@
     include/zmonitor.h
     include/zproxy.h
     include/zrex.h
-    include/zsys.h
     src/zgossip_msg.h
     src/zsock_option.inc
     src/zgossip_engine.inc
@@ -176,6 +209,7 @@
 
 IF (ENABLE_DRAFTS)
     list(APPEND czmq_headers
+        include/zargs.h
         include/zproc.h
         include/ztimerset.h
         include/ztrie.h
@@ -212,6 +246,7 @@
     src/zpoller.c
     src/zsock.c
     src/zstr.c
+    src/zsys.c
     src/zuuid.c
     src/zauth.c
     src/zbeacon.c
@@ -219,18 +254,24 @@
     src/zmonitor.c
     src/zproxy.c
     src/zrex.c
-    src/zsys.c
     src/zgossip_msg.c
 )
 
 IF (ENABLE_DRAFTS)
     list (APPEND czmq_sources
+        src/zargs.c
         src/zproc.c
         src/ztimerset.c
         src/ztrie.c
     )
 ENDIF (ENABLE_DRAFTS)
 
+IF (ENABLE_DRAFTS)
+    list (APPEND czmq_sources
+        src/czmq_private_selftest.c
+    )
+ENDIF (ENABLE_DRAFTS)
+
 source_group("Source Files" FILES ${czmq_sources})
 if (NOT DEFINED BUILD_SHARED_LIBS)
     SET(BUILD_SHARED_LIBS ON)
@@ -239,11 +280,11 @@
 set_target_properties(czmq
     PROPERTIES DEFINE_SYMBOL "CZMQ_EXPORTS"
 )
-set_target_properties(czmq
-    PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${SOURCE_DIR}/src"
-)
 set_target_properties (czmq
-    PROPERTIES SOVERSION "4.0.2"
+    PROPERTIES SOVERSION "4"
+)
+set_target_properties (czmq
+    PROPERTIES VERSION "4.0.3"
 )
 target_link_libraries(czmq
     ${ZEROMQ_LIBRARIES} ${MORE_LIBRARIES}
@@ -260,7 +301,7 @@
 ########################################################################
 # pkgconfig
 ########################################################################
-set (VERSION "4.0.2")
+set (VERSION "4.0.3")
 set (prefix "${CMAKE_INSTALL_PREFIX}")
 set (exec_prefix "\${prefix}")
 set (libdir "\${prefix}/lib${LIB_SUFFIX}")
@@ -293,9 +334,28 @@
     ${LIBZMQ_LIBRARIES}
     ${OPTIONAL_LIBRARIES}
 )
-set_target_properties(
-    zmakecert
-    PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${SOURCE_DIR}/src"
+install(TARGETS zmakecert
+    RUNTIME DESTINATION bin
+)
+add_executable(
+    zsp
+    "${SOURCE_DIR}/src/zsp.c"
+)
+target_link_libraries(
+    zsp
+    czmq
+    ${LIBZMQ_LIBRARIES}
+    ${OPTIONAL_LIBRARIES}
+)
+add_executable(
+    test_randof
+    "${SOURCE_DIR}/src/test_randof.c"
+)
+target_link_libraries(
+    test_randof
+    czmq
+    ${LIBZMQ_LIBRARIES}
+    ${OPTIONAL_LIBRARIES}
 )
 add_executable(
     czmq_selftest
@@ -306,10 +366,6 @@
     czmq
     ${LIBZMQ_LIBRARIES}
     ${OPTIONAL_LIBRARIES}
-)
-set_target_properties(
-    czmq_selftest
-    PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${SOURCE_DIR}/src"
 )
 
 ########################################################################
@@ -348,6 +404,7 @@
     zpoller
     zsock
     zstr
+    zsys
     zuuid
     zauth
     zbeacon
@@ -355,69 +412,36 @@
     zmonitor
     zproxy
     zrex
-    zsys
 )
 
 IF (ENABLE_DRAFTS)
     list (APPEND TEST_CLASSES
+    zargs
     zproc
     ztimerset
     ztrie
     )
 ENDIF (ENABLE_DRAFTS)
 
-foreach(TEST_CLASS ${TEST_CLASSES})
-    add_test(
-        NAME ${TEST_CLASS}
-        COMMAND czmq_selftest --continue --verbose --test ${TEST_CLASS}
-    )
-    set_tests_properties(
-        ${TEST_CLASS}
-        PROPERTIES TIMEOUT ${CLASSTEST_TIMEOUT}
-    )
-endforeach(TEST_CLASS)
-
-include(CTest)
-
-########################################################################
-# cleanup
-########################################################################
-add_custom_target (distclean @echo Cleaning for source distribution)
-
-set(cmake_generated ${CMAKE_BINARY_DIR}/CMakeCache.txt
-                    ${CMAKE_BINARY_DIR}/cmake_install.cmake
-                    ${CMAKE_BINARY_DIR}/Makefile
-                    ${CMAKE_BINARY_DIR}/CMakeFiles
-                    ${CMAKE_BINARY_DIR}/CTestTestfile.cmake
-                    ${CMAKE_BINARY_DIR}/DartConfiguration.tcl
-                    ${CMAKE_BINARY_DIR}/Testing
-                    ${CMAKE_BINARY_DIR}/compile_commands.json
-                    ${CMAKE_BINARY_DIR}/src/platform.h
-                    ${CMAKE_BINARY_DIR}/src/libczmq.pc
-                    ${CMAKE_BINARY_DIR}/src/libczmq.so
-                    ${CMAKE_BINARY_DIR}/src/czmq_selftest
-                    ${CMAKE_BINARY_DIR}/src/zmakecert
-                    ${CMAKE_BINARY_DIR}/src/czmq_selftest
-)
-
-add_custom_command(
-    DEPENDS clean
-    COMMENT "distribution clean"
-    COMMAND rm
-    ARGS    -rf CMakeTmp ${cmake_generated}
-    TARGET  distclean
-)
-
-########################################################################
-# summary
-########################################################################
-message ("")
-message (STATUS "******************* Configuration Summary *******************")
-message (STATUS "General:")
-message (STATUS "  Version           :   ${VERSION}")
-message (STATUS "  System            :   ${CMAKE_SYSTEM_NAME}")
-message (STATUS "  C compiler        :   ${CMAKE_C_COMPILER}")
-message (STATUS "  Debug C flags     :   ${CMAKE_C_FLAGS_DEBUG} ${CMAKE_C_FLAGS}")
-message (STATUS "  Release C flags   :   ${CMAKE_C_FLAGS_RELEASE} ${CMAKE_C_FLAGS}")
-message (STATUS "  Build type        :   ${CMAKE_BUILD_TYPE}")
-IF (ENABLE_DRAFTS)
+IF (ENABLE_DRAFTS)
+    list (APPEND TEST_CLASSES
+    private_classes
+    )
+ENDIF (ENABLE_DRAFTS)
+
+
+add_custom_target(
+    copy-selftest-ro ALL
+    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_SOURCE_DIR}/src/selftest-ro ${CMAKE_BINARY_DIR}/src/selftest-ro
+)
+
+add_custom_target(
+    make-selftest-rw ALL
+    COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/src/selftest-rw
+)
+
+set_directory_properties(
+    PROPERTIES
+    ADDITIONAL_MAKE_CLEAN_FILES "${CMAKE_BINARY_DIR}/src/selftest-ro;${CMAKE_BINARY_DIR}/src/selftest-rw"
+)
+
